/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 * See License.txt in the project root for license information.
 */

#ifndef __FP_JNI_EXCEPTIONS_H__
#define __FP_JNI_EXCEPTIONS_H__

#include <jni.h>

//
// Exception message codes
//
typedef enum {
    EM_SUCCESS,
    EM_MALLOC_FAILED,
    EM_GSTRUC_FAILED,
    EM_GPAC_FAILED,
    EM_NOT_PGALIGNED,
    EM_VSC_FAILURE,
    EM_BAD_JSON,
    EM_DANGLING_RESPONSE,
    EM_BAD_LENGTH,
    EM_NOT_DIRECT_BYTEBUF,
    EM_BAD_BUF_LEN,
    EM_BAD_BUFFER,
    EM_VSC_INIT_FAILED,
    EM_BAD_HDR_CRC,
    EM_BAD_HDR_MAGIC,
    EM_BAD_JNI_ENV,
    EM_MAX,
} emsgs_t;

jthrowable MakeFastpathConnectionException(JNIEnv *env, const int rc, const int localErrno);

#endif  // __FP_JNI_EXCEPTIONS_H__
