/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 * See License.txt in the project root for license information.
 */

#ifndef _FP_UTIL_CRC64_H_
#define _FP_UTIL_CRC64_H_

/*
 * Freely adapted from crypt.cpp/hpp in the azure-sdk-for-cpp.
 */

#include <cstdint>
#include <unistd.h>

class Crc64Hash {
    public:
        uint64_t Compute(const uint8_t *data, size_t length, uint64_t context);

    private:
        uint64_t m_context = 0ULL;
        uint64_t m_length = 0ULL;
};

#endif
