/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 * See License.txt in the project root for license information.
 */

#ifndef __FPVSC_H__
#define __FPVSC_H__

#include <cstdint>

#include <fpcommon.h>

typedef enum _VscDeviceStatus
{
    VSC_STATUS_NOTAVAIL = 0,
    VSC_STATUS_AVAIL,
    VSC_STATUS_MAX,
} VscDevStatus;

extern "C"
{
    int VscOpenBlob (IN const char *clientRequestId,
            IN uint32_t timeoutMsec,
            IN const char *inputBuf,
            IN uint32_t inputBufLen,
            OUT char *responseBuf,
            IN uint32_t responseBufLen,
            OUT int32_t *localErrno,
            OUT uint32_t *hostResponseLen);

    int VscGetBlob (IN const char *clientRequestId,
            IN uint32_t timeoutMsec,
            IN const char *inputBuf,
            IN uint32_t inputBufLen,
            OUT char *dataBuf,
            IN uint32_t dataBufLen,
            OUT char *responseBuf,
            IN uint32_t responseBufLen,
            OUT int32_t *localErrno,
            OUT uint32_t *hostResponseLen);

    int VscCloseBlob (IN const char *clientRequestId,
            IN uint32_t timeoutMsec,
            IN const char *inputBuf,
            IN uint32_t inputBufLen,
            OUT char *responseBuf,
            IN uint32_t responseBufLen,
            OUT int32_t *localErrno,
            OUT uint32_t *hostResponseLen);
}

#endif /* __FPVSC_H__ */
